> For the complete documentation index, see [llms.txt](/llms.txt).

# Get application feedback

**GET** `https://www.iwoca.de/api/lending/v2.2/applications/{application_id}/feedback/`

Returns the feedback for an application, detailing the information and documents required to proceed.

## Path parameters
- `application_id` (string, required)

## Responses
### 200 — Success
```json
{
  "data": {
    "requested_info": [
      {
        "actions": [
          {
            "document_upload_type": "bank statement",
            "feedback_reason": [
              "missing_bank_account_coverage",
              "illegible"
            ],
            "further_details": {
              "missing_bank_account_coverages": [
                {
                  "iban": "DEXXXXXXXXXXXXXXXXX",
                  "missing_coverages": [
                    {
                      "end_date": "2024-12-31",
                      "start_date": "2024-10-01"
                    },
                    {
                      "end_date": "2024-09-30",
                      "start_date": "2024-07-01"
                    }
                  ]
                }
              ]
            },
            "name": "kontoauszuege_hochladen"
          },
          {
            "document_upload_type": "management accounts",
            "feedback_reason": [
              "document_is_locked_with_password"
            ],
            "name": "bwa_hochladen"
          }
        ],
        "category": "documents"
      },
      {
        "actions": [
          {
            "feedback_reason": [
              "clarify_loan_purpose"
            ],
            "name": "application_purpose"
          },
          {
            "feedback_reason": [
              "missing_additional_director_guarantee"
            ],
            "name": "additional_director_guarantee"
          }
        ],
        "category": "application_data"
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string"
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.de/api/lending/v2.2/applications/<application_id>/feedback/' \
  --header 'Authorization: Bearer <api-key>'
```